Bug 17321 - This is a whopper.... RH70 PINSTRIPE AUG 10 BUILD
This is a whopper.... RH70 PINSTRIPE AUG 10 BUILD
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i586 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2000-09-07 03:22 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-09-07 03:22:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-09-07 03:22:54 EDT
Here's a BIG bug that needs to be fixed ASAP before pinstripe comes out of

RH6.2 with no modifications to the gcc/cpp/egcs suite will compile ANY
kernel from linux2.2.14 to linux-2.4.0-test7. The pinstripe installation I
am using has trouble recompiling linux-2.2.16-17. 

Kernel build process results under pinstrip for Linux-2.4.0-test7

make dep --> No problems.

make bzImage: Pasting errors, bad tokens, internal compiler errors.. Dies
with error 11. Had the compiler (!) segfault on me in one attempt. Compiler
finds all sorts of errors with apic.h

make modules: Falls flat. 

Kernel Build process results under RH6.2 with updated linux-utils, modutils
and ppp.

make dep --> No errors.
make bzImage --> No Errors.
make modules --> No Errors.
make modules_install--> No errors.
BOOT --> Boots okay, does not correctly load modules automatically.
Comment 1 Jakub Jelinek 2000-09-08 03:49:26 EDT
You should not compile 2.2 kernels with gcc 2.96, there is a kgcc compiler
which should be used for 2.2 kernel compiles.
As for the gcc, current gcc (check e.g. rawhide) can compile 2.4 kernels just
fine, the only known bug are some of the pasting warnings from preprocessor
which are already fixed in CVS and will be in the next gcc build (but some
of those warnings are valid and kernel should be fixed).
If you still see any ICEs with say ftp://ultra.linux.cz/private/gcc-2.96-53/,
then please run gcc with -save-temps, reopen this bug and mail me the command
line and .i output.

Note You need to log in before you can comment on or make changes to this bug.